<%@ page language='java' import='java.io.*,java.net.*,java.text.*,java.util.*,javax.servlet.*,org.w3c.dom.*,org.w3c.dom.ls.*'%>
<%!
//This variable specifies relative path to the folder, where the gallery with uploaded files is located.
//Do not forget about the slash in the end of the folder name.
String galleryPath = "/Gallery/";

private String encodeFileName(String value)
{	
    return URLEncoder.encode(value).replaceAll("\\+", "%20");
}

private String encodeHTML(String value){
    StringBuffer result = new StringBuffer();
    final StringCharacterIterator iterator = new StringCharacterIterator(value);
    char c =  iterator.current();
    while (c != CharacterIterator.DONE)
    {
	switch (c)
	{
	    case '<':
		result.append("&lt;");
		break;
	    case '>':
		result.append("&gt;");
		break;
	    case '\"':
		result.append("&quot;");
		break;
	    case '\'':
		result.append("&amp;");
		break;
	    case '&':
		result.append("&amp;");
		break;
	    default: 
		result.append(c);
	}
	c = iterator.next();
    }
    return result.toString();
}
%>
<%
//Process request.
ServletContext context = getServletContext();
String absGalleryPath = context.getRealPath(galleryPath);
String webGalleryPath = request.getContextPath() + galleryPath;    

javax.xml.parsers.DocumentBuilder builder =
	javax.xml.parsers.DocumentBuilderFactory.newInstance().newDocumentBuilder();
org.w3c.dom.Document descriptions = builder.parse(absGalleryPath + File.separator + "Descriptions.xml");
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
	<title>Aurigma Image Uploader - Uploaded Files</title>
	<link href="style.css" type="text/css" rel="stylesheet" />
    </head>
    <body>
	<p>
	    <a href="index.jsp">Upload New Files</a>
	</p>
	<table width="100%">
<%
int colCount = 2;

for (int i = 0; i < descriptions.getDocumentElement().getChildNodes().getLength(); i++)
{
    Element xmlFile = (Element)(descriptions.getDocumentElement().getChildNodes().item(i));

    if (i % colCount == 0)
    {
%>
	    <tr>
<%
    }
    String fileName = encodeFileName(xmlFile.getAttribute("name"));
%>		
		<td>
		    <a href="<%=webGalleryPath + fileName%>" target="_blank">
			<img src="<%=webGalleryPath + "Thumbnails/" + fileName + ".jpg"%>" alt="<%=encodeHTML(xmlFile.getAttribute("name"))%>" />
		    </a>
		    <br />
		    <br />
		    <b>Name:</b>
		    <%=encodeHTML(xmlFile.getAttribute("name"))%>
		    <br />
		    <b>Dimensions:</b>
		    <%=encodeHTML(xmlFile.getAttribute("width"))%>
		    x
		    <%=encodeHTML(xmlFile.getAttribute("height"))%>
		    <br />
		    <b>Handler URL:</b>
		    <%=encodeHTML(xmlFile.getAttribute("handlerUrl"))%>		
		</td>
<%
    if (((i + 1 ) % colCount == 0) || (i == descriptions.getDocumentElement().getChildNodes().getLength() - 1))
    {
%>
	    </tr>
<%
    }
}
%>
	</table>
    </body>
</html>
