﻿// Aurigma Image Uploader 
// Simplified Chinese Localization
// Copyright(c) Huidu LLC 2005-2007 (http://www.evget.com/)

// 將以下參數加入到控制項中，可以完成對該控制項資訊的漢化

var zh_resources={addParams:function(iu){

//If you want to use Image Uploader with this language only,
//just copy these parameters to your code with Image Uploader.

//ImageUplaoderWriter properties
//[TRANSLATE]
iu.instructionsCommon="<p>Image Uploader ActiveX control is necessary to upload your files quickly and easily. You will be able to select multiple images in user-friendly interface instead of clumsy input fields with <strong>Browse</strong> button. Installation will take up to few minutes, please be patient. To install Image Uploader, ";
//[TRANSLATE]
iu.instructionsNotWinXPSP2="please reload the page and click the <strong>Yes</strong> button when you see the control installation dialog.";
//[TRANSLATE]
iu.instructionsWinXPSP2="please click on the <strong>Information Bar</strong> and select <strong>Install ActiveX Control</strong> from the dropdown menu. After page reload click <strong>Install</strong> when you see the control installation dialog.";
//[TRANSLATE]
iu.instructionsVista = "please click on the <strong>Information Bar</strong> and select <strong>Install ActiveX Control</strong> from the dropdown menu. After page reload click <strong>Continue</strong> and then <strong>Install</strong> when you see the control installation dialog.";
//[TRANSLATE]
iu.instructionsCommon2="</p>";

//ImageUploader properties
iu.addParam("AddFolderDialogButtonCancelText", "取消");
iu.addParam("AddFolderDialogButtonSkipAllText", "全部跳過");
iu.addParam("AddFolderDialogButtonSkipText", "跳過");
iu.addParam("AddFolderDialogTitleText", "新建目錄...");
iu.addParam("AuthenticationRequestBasicText", "[Name]需要授權認證.");
iu.addParam("AuthenticationRequestButtonCancelText", "取消");
iu.addParam("AuthenticationRequestButtonOkText", "確認");
iu.addParam("AuthenticationRequestDomainText", "功能變數名稱:");
iu.addParam("AuthenticationRequestLoginText", "登錄:");
iu.addParam("AuthenticationRequestNtlmText", "[Name]需要授權認證.");
iu.addParam("AuthenticationRequestPasswordText", "密碼:");
iu.addParam("ButtonAddAllToUploadListText", "加入所有檔案");
iu.addParam("ButtonAddFilesText", "加入檔案...");
iu.addParam("ButtonAddFoldersText", "加入數據夾...");
iu.addParam("ButtonAddToUploadListText", "加入");
iu.addParam("ButtonAdvancedDetailsCancelText", "取消");
iu.addParam("ButtonDeleteFilesText", ""); //"刪除檔"
iu.addParam("ButtonDeselectAllText", "移除所有圖片");
iu.addParam("ButtonPasteText", ""); //"貼上"
iu.addParam("ButtonRemoveAllFromUploadListText", "移除所有檔案");
iu.addParam("ButtonRemoveFromUploadListText", "移除");
iu.addParam("ButtonSelectAllText", "選擇所有圖片");
iu.addParam("ButtonSendText", "圖片上傳");
iu.addParam("ButtonStopText", ""); //"停止上傳"
//[TRANSLATE]
iu.addParam("CmykImagesAreNotAllowedText", "File is CMYK");
iu.addParam("DescriptionEditorButtonCancelText", "取消");
iu.addParam("DescriptionEditorButtonOkText", "確定");
iu.addParam("DimensionsAreTooLargeText", "圖片太大");
iu.addParam("DimensionsAreTooSmallText", "圖片太小");
iu.addParam("DropFilesHereText", "將要上傳的圖片拖到此處");
iu.addParam("EditDescriptionText", "編輯");
iu.addParam("FileIsTooLargeText", "文件太大");
iu.addParam("FileIsTooSmallText", "文件太小");
iu.addParam("HoursText", "小時");
iu.addParam("IncludeSubfoldersText", "包含子數據夾");
iu.addParam("KilobytesText", "K");
//[TRANSLATE]
iu.addParam("LargePreviewGeneratingPreviewText", "Generating preview...");
//[TRANSLATE]
iu.addParam("LargePreviewIconTooltipText", "Preview Thumbnail");
//[TRANSLATE]
iu.addParam("LargePreviewNoPreviewAvailableText", "No preview available.");
iu.addParam("ListColumnFileNameText", "檔案名");
iu.addParam("ListColumnFileSizeText", "文件大小");
iu.addParam("ListColumnFileTypeText", "文件類型");
iu.addParam("ListColumnLastModifiedText", "上一次修改時間");
iu.addParam("ListKilobytesText", "K");
iu.addParam("LoadingFilesText", "正在裝載文件...");
iu.addParam("MegabytesText", "M");
iu.addParam("MenuAddAllToUploadListText", "將所有圖片加到上傳區");
iu.addParam("MenuAddToUploadListText", "加到上傳區");
iu.addParam("MenuArrangeByModifiedText", "已修改");
iu.addParam("MenuArrangeByNameText", "名");
iu.addParam("MenuArrangeByPathText", "路徑");
iu.addParam("MenuArrangeBySizeText", "大小");
iu.addParam("MenuArrangeByText", "排列圖示");
iu.addParam("MenuArrangeByTypeText", "類型");
iu.addParam("MenuArrangeByUnsortedText", "未排序");
iu.addParam("MenuDeselectAllText", "移除所有圖片");
iu.addParam("MenuDetailsText", "詳細格式");
iu.addParam("MenuIconsText", "圖示格式");
iu.addParam("MenuInvertSelectionText", "反選選中圖片");
iu.addParam("MenuListText", "列表格式");
iu.addParam("MenuRefreshText", "刷新");
iu.addParam("MenuRemoveAllFromUploadListText", "從上傳區移除所有圖片");
iu.addParam("MenuRemoveFromUploadListText", "從上傳區移除圖片");
iu.addParam("MenuSelectAllText", "選擇所有檔");
iu.addParam("MenuThumbnailsText", "圖片預覽格式");
iu.addParam("MessageBoxTitleText", "圖片上傳插件");
iu.addParam("MessageCannotConnectToInternetText", "無法連上互聯網，請檢查網路配置");
//[TRANSLATE]
iu.addParam("MessageCmykImagesAreNotAllowedText", "CMYK images are not allowed");
iu.addParam("MessageDimensionsAreTooLargeText", "圖檔 [Name] 無法選取.因為解析度 ([OriginalImageWidth]x[OriginalImageHeight]) 超過限定的大小. 圖檔解析度應該要低於 [MaxImageWidth]x[MaxImageHeight].");
iu.addParam("MessageDimensionsAreTooSmallText", "圖檔 [Name] 無法選取.因為解析度 ([OriginalImageWidth]x[OriginalImageHeight]) 太低. 圖檔解析度應該要大於 [MinImageWidth]x[MinImageHeight].");
iu.addParam("MessageFileSizeIsTooSmallText", "檔[Name]無法選中，該檔大小小於最小限制的([Limit]kb)。");
iu.addParam("MessageMaxFileCountExceededText", "檔[Name]無法選中，檔總數超過限制的[Limit]個檔。");
iu.addParam("MessageMaxFileSizeExceededText", "檔[Name]無法選中，該檔大小超過限制的[Limit]kb。");
iu.addParam("MessageMaxTotalFileSizeExceededText", "檔[Name]無法選中，上載資料總數超過限制的[Limit]kb。");
iu.addParam("MessageNoInternetSessionWasEstablishedText", "網路會話沒有建立。");
iu.addParam("MessageNoResponseFromServerText", "伺服器無回應。");
//[TRANSLATE]
iu.addParam("MessageRedirectText", "The server attempted to redirect you, but server redirects are not supported.");
iu.addParam("MessageRetryOpenFolderText", "最後訪問的檔夾未找到。可能是因為位於可移動存器體，插入此移動存器體並擊重試按鈕或點擊取消按鈕繼續。");
iu.addParam("MessageServerNotFoundText", "伺服器沒有找到");
iu.addParam("MessageSwitchAnotherFolderWarningText", "你正在切換到另一個檔夾。此操作會放棄所有已選中的檔。\n\n確認放棄所選檔並繼續執行點擊確認。\nTo 保持所選檔，繼續停留在當前檔夾請點擊取消。");
iu.addParam("MessageUnexpectedErrorText", "圖像上傳因故失敗，請聯繫網站管理員解決此問題。");
iu.addParam("MessageUploadCancelledText", "取消上傳");
iu.addParam("MessageUploadCompleteText", "上傳圖片完成");
iu.addParam("MessageUploadFailedText", "上傳圖片失敗");
iu.addParam("MessageUserSpecifiedTimeoutHasExpiredText", "已經超過了您自訂的傳輸時間.");
iu.addParam("MinutesText", "分鐘");
iu.addParam("ProgressDialogCancelButtonText", "取消");
iu.addParam("ProgressDialogCloseButtonText", "關閉");
iu.addParam("ProgressDialogCloseWhenUploadCompletesText", "上傳結束後是否關閉此對話方塊？");
iu.addParam("ProgressDialogEstimatedTimeText", "估計剩餘時間為[Current],總共需要時間為 [Total]");
iu.addParam("ProgressDialogPreparingDataText", "正在準備上傳資料");
iu.addParam("ProgressDialogSentText", "已經上傳[Current]檔，總共檔大小為[Total]");
iu.addParam("ProgressDialogTitleText", "上傳圖片");
iu.addParam("ProgressDialogWaitingForResponseFromServerText", "等待伺服器響應...");
iu.addParam("ProgressDialogWaitingForRetryText", "正在等待重試...");
iu.addParam("RemoveIconTooltipText", "刪除");
iu.addParam("RotateIconClockwiseTooltipText", "順時針方向旋轉");
iu.addParam("RotateIconCounterClockwiseTooltipText", "反時針方向旋轉");
iu.addParam("SecondsText", "秒");
iu.addParam("UnixFileSystemRootText", "檔案系統根目錄(Root)");
iu.addParam("UnixHomeDirectoryText", "檔案系統有效目錄(Home)");

}}
