<%@ Language="VBScript" %>
<!--#include file="../config.asp"-->

<!--BEGIN-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Aurigma Image Uploader</title>

	<script type="text/javascript" src="../iuembed.js"></script>

	<link href="style.css" type="text/css" rel="stylesheet" />
</head>
<body>
	<p>
		This application demonstrates how to organize robust upload using Image Uploader.
		In this demo application Image Uploader computes MD5 and SHA1 hash values for each
		uploaded file and sends them to the server. The server script calculates hash value
		for the file it receives and then compares result with uploaded hash. This way you
		can verify whether the file was corrupted during upload.
	</p>
	<p>
		Additionally in this application you can see how to:
	</p>
	<ul>
		<li>Use custom-drawn buttons in Image Uploader.</li>
		<li>Resume upload automatically when connection breaks.</li>
	</ul>
	<fieldset>
		<legend>Note</legend>This demo application <strong>deletes all previously uploaded files</strong>.
		Keep in mind that it is a feature of this demo, not of Image Uploader itself. If
		you <strong>do not want to delete uploaded files</strong>, you should modify the
		upload processing page specified by the <strong>Action</strong> parameter.
	</fieldset>

	<script type="text/javascript">
//<![CDATA[	
//Create JavaScript object that will embed Image Uploader to the page.
var iu = new ImageUploaderWriter("ImageUploader1", 650, 400);

//For ActiveX control full path to CAB file (including file name) should be specified.
iu.activeXControlCodeBase = "../ImageUploader5.cab";
iu.activeXControlVersion = "5,8,1,0";

//For Java applet only path to directory with JAR files should be specified (without file name).
iu.javaAppletJarFileName = "ImageUploader5.jar";
iu.javaAppletCodeBase = "../";
iu.javaAppletCached = true;
iu.javaAppletVersion = "5.8.1.0";

iu.showNonemptyResponse = "off";

//Customize appearance and behavior.
iu.addParam("PaneLayout", "OnePane");
iu.addParam("UploadView", "Details");
iu.addParam("ShowDebugWindow", "true");
iu.addParam("AllowRotate", "false");
iu.addParam("BackgroundColor", "#ffffd6");

//Configure License Keys
iu.addParam("LicenseKey", "71050-40D0C-00000-071D1-29885;72050-43D0C-00000-085DA-55BEF");

//Customize Image Uploader buttons.
iu.addParam("ButtonAddFoldersImageFormat", "Width=128;Height=25;UrlNormal='Images/AddFoldersNormal.png';UrlNormalFocused='Images/AddFoldersNormalFocused.png';UrlHover='Images/AddFoldersHover.png';UrlHoverFocused='Images/AddFoldersHoverFocused.png';UrlPressed='Images/AddFoldersPressed.png'");
iu.addParam("ButtonAddFilesImageFormat", "Width=109;Height=25;UrlNormal='Images/AddFilesNormal.png';UrlNormalFocused='Images/AddFilesNormalFocused.png';UrlHover='Images/AddFilesHover.png';UrlHoverFocused='Images/AddFilesHoverFocused.png';UrlPressed='Images/AddFilesPressed.png'");
iu.addParam("ButtonSendImageFormat", "Width=82;Height=25;UrlDisabled='Images/UploadDisabled.png';UrlNormal='Images/UploadNormal.png';UrlNormalFocused='Images/UploadNormalFocused.png';UrlHover='Images/UploadHover.png';UrlHoverFocused='Images/UploadHoverFocused.png';UrlPressed='Images/UploadPressed.png'");

//Configure custom button caching.
iu.addParam("CacheGuiGraphics","true");
iu.addParam("GuiGraphicsVersion","1");

//Compute and send for files SHA and MD5 hash.
iu.addParam("HashAlgorithm", "SHA;MD5");

//Configure upload settings.
iu.addParam("FilesPerOnePackageCount", "1");
iu.addParam("AutoRecoverMaxTriesCount", "10");
iu.addParam("AutoRecoverTimeOut", "10000");

//Configure URL files are uploaded to.
iu.addParam("Action", "<%=GetUploadUrl()%>");

//Configure URL where to redirect after upload.
iu.addParam("RedirectUrl", "<%=GetGalleryUrl()%>");

//Tell Image Uploader writer object to generate all necessary HTML code to embed 
//Image Uploader to the page.
iu.writeHtml();
//]]>
	</script>

</body>
</html>
<!--END-->