<!--BEGIN-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>Aurigma Image Uploader</title>

	<script src="../iuembed.js" type="text/javascript"></script>

	<script src="script.js" type="text/javascript"></script>

	<link href="style.css" type="text/css" rel="stylesheet" />
</head>
<body>
	<p>
		This demo application shows to create custom upload pane through HTML code. This
		custom pane allows to associate additional data with each data - file title and
		description. It can be easily modified to send any other data. In addition, it demonstrates
		how to:
	</p>
	<ul>
		<li>Create custom HTML buttons for Image Uploader instead of standard ones.</li>
		<li>Upload thumbnail along with a source file.</li>
	</ul>
	<fieldset>
		<legend>Note</legend>This demo application <strong>deletes all previously uploaded files</strong>.
		Keep in mind that it is a feature of this demo, not of Image Uploader itself. If
		you <strong>do not want to delete uploaded files</strong>, you should modify the
		upload processing page specified by the <strong>Action</strong> parameter.
	</fieldset>
	<table>
		<tbody>
			<tr>
				<td align="right">
					<input id="UploadButton" type="button" value="&nbsp;&nbsp;Upload Files&nbsp;&nbsp;" disabled="disabled" onclick="UploadButton_click();" />
				</td>
			</tr>
			<tr>
				<td>

					<script type="text/javascript">
//Create JavaScript object that will embed Image Uploader to the page.
var iu = new ImageUploaderWriter("ImageUploader1", 650, 250);

//For ActiveX control full path to CAB file (including file name) should be specified.
iu.activeXControlCodeBase = "../ImageUploader5.cab";
iu.activeXControlVersion = "5,8,1,0";

//For Java applet only path to directory with JAR files should be specified (without file name).
iu.javaAppletJarFileName = "ImageUploader5.jar";
iu.javaAppletCodeBase = "../";
iu.javaAppletCached = true;
iu.javaAppletVersion = "5.8.1.0";

iu.showNonemptyResponse = "off";

//Configure License Keys
iu.addParam("LicenseKey", "71050-40D0C-00000-071D1-29885;72050-43D0C-00000-085DA-55BEF");

//Configure appearance.
iu.addParam("PaneLayout", "ThreePanes");
iu.addParam("FolderView", "Thumbnails");

iu.addParam("BackgroundColor", "#eff1f9");
iu.addParam("ShowUploadListButtons", "true");
iu.addParam("ButtonRemoveFromUploadListText", "");
iu.addParam("ButtonRemoveAllFromUploadListText", "");

iu.addParam("ShowDescriptions", "false");
iu.addParam("AllowRotate", "false");
iu.addParam("ShowButtons", "false");

//Hide standard upload pane.
iu.addParam("FolderPaneHeight", "-1");

//Configure thumbnail settings.
iu.addParam("UploadThumbnail1FitMode", "Fit");
iu.addParam("UploadThumbnail1Width", "120");
iu.addParam("UploadThumbnail1Height", "120");
iu.addParam("UploadThumbnail1JpegQuality", "60");

//Configure URL files are uploaded to.
iu.addParam("Action", "upload.cfm");

//Configure URL where to redirect after upload.
iu.addParam("RedirectUrl", "gallery.cfm");

//Add event handlers.
iu.addEventListener("UploadFileCountChange", "ImageUploader_UploadFileCountChange");
iu.addEventListener("BeforeUpload", "ImageUploader_BeforeUpload")
iu.fullPageLoadListenerName = "fullPageLoad";

//Tell Image Uploader writer object to generate all necessary HTML code to embed 
//Image Uploader to the page.
iu.writeHtml();
					</script>

				</td>
			</tr>
			<tr>
				<td>
				<!--
				        The code which forms the upload pane itself is located in a separate script.js file.
				        It is highly recommended to keep this code in a separate file to avoid problems with 
				        Internet Explorer with security update 912945 (ActiveX controls activation):
				        
				        http://support.microsoft.com/kb/912945/en-us 
				-->
					<div id="UploadPaneFrame">
						<div id="UploadPane"></div>
					</div>
				</td>
			</tr>
		</tbody>
	</table>
</body>
</html>
<!--END-->