<?php
//This variable specifies relative path to the folder, where the gallery with uploaded files is located.
//Do not forget about the slash in the end of the folder name.
$galleryPath = "../Gallery/";

$absGalleryPath = realpath($galleryPath) . "/";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Aurigma Image Uploader - Uploaded Files</title>
    <link href="style.css" type="text/css" rel="stylesheet" />
</head>
<body>
    <p>
        <a href="index.php">Upload New Files</a>
    </p>
    
    <table cellspacing="0" rules="all" border="1" style="border-collapse:collapse;">
        <tr style="background-color:Gainsboro;font-weight:bold;">
            <td>File Name</td>
            <td>Size in Bytes</td>
            <td>Extension</td>
            <td>Last Write Time</td>
        </tr>
<?php
$handle = opendir($absGalleryPath);

while (false !== ($fileName = readdir($handle)))
{
	$absFilePath  = $absGalleryPath . $fileName;
	if (is_file($absFilePath))
	{
		$fn = explode(".", $fileName);
		if (count($fn) > 1)
		{
			$fileExt = "." . $fn[count($fn) - 1];
		}    	
		else
		{
			$fileExt = "";
		}
?>
		<tr>
		    <td><a href="<?php echo $galleryPath . $fileName;?>" target="_blank"><?php echo htmlentities($fileName)?></a></td>
		    <td><?php echo filesize($absFilePath)?></td>
		    <td><?php echo htmlentities($fileExt)?></td>
		    <td><?php echo date(DATE_RFC822, filemtime($absFilePath))?></td>
		</tr>
<?php
	} 
}
closedir($handle);
?>
    </table>
</body>
</html>